import 'package:snake/utils/tools.dart';      

class DefaultGlobalSettings {
  // available global parameters codes
  static const String parameterCodeSkin = 'skin';
  static const List<String> availableParameters = [
    parameterCodeSkin,
  ];

  // skin: available values
  static const String skinValueColors = 'colors';
  static const String skinValueRetro = 'retro';
  static const List<String> allowedSkinValues = [
    skinValueColors,
    skinValueRetro,
  ];
  // skin: default value
  static const String defaultSkinValue = skinValueRetro;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeSkin:
        return DefaultGlobalSettings.allowedSkinValues;
    }

    printlog('Did not find any available value for global parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    //
  ];
}
